Author Topic: I am stuck at updating zentyal  (Read 144 times)

ohdude

  • Zen Apprentice
  • *
  • Posts: 4
  • Karma: +0/-0
    • View Profile
I am stuck at updating zentyal
« on: September 17, 2019, 07:53:11 pm »
Hey Everyone,

I want to update my zentyal 5.1 (not upgrade). But It's is going to get stuck during the update. It's is running trough a proxmox VPS and always use to work fine. 

So the last time I did an
Code: [Select]
apt-get update ; apt-get upgrade -y (with sudo), since it already gave an error in the control panel, when I wanted to update it. This is the message I am getting.

Code: [Select]
etting up mysql-server (5.7.27-0ubuntu0.16.04.1) ...
Setting up nginx-common (1.10.3-0ubuntu0.16.04.4) ...
insserv: warning: current start runlevel(s) (empty) of script `nginx' overrides LSB defaults (2 3 4 5).
insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script `nginx' overrides LSB defaults (0 1 6).
Setting up nginx-core (1.10.3-0ubuntu0.16.04.4) ...
Setting up nginx (1.10.3-0ubuntu0.16.04.4) ...
Setting up policykit-1 (0.105-14.1ubuntu0.5) ...
Removed symlink /run/systemd/system/polkitd.service.
Setting up redis-tools (2:3.0.6-1ubuntu0.4) ...
Setting up redis-server (2:3.0.6-1ubuntu0.4) ...
Setting up intel-microcode (3.20190618.0ubuntu0.16.04.1) ...
update-initramfs: deferring update (trigger activated)
intel-microcode: microcode will be updated at next boot
Setting up libnss3-nssdb (2:3.28.4-0ubuntu0.16.04.6) ...
Setting up libnss3:amd64 (2:3.28.4-0ubuntu0.16.04.6) ...
Setting up libnss3-tools (2:3.28.4-0ubuntu0.16.04.6) ...
Processing triggers for gconf2 (3.2.6-3ubuntu6) ...
Setting up evince (3.18.2-1ubuntu4.6) ...
dpkg: cycle found while processing triggers:
chain of packages whose triggers are or may be responsible:
zentyal-core -> zentyal-core
packages' pending triggers which are or may be unresolvable:
resolvconf: resolvconf-enable-updates
libc-bin: ldconfig
initramfs-tools: update-initramfs
desktop-file-utils: /usr/share/applications
zentyal-core: /usr/lib/ssl
dpkg: error processing package resolvconf (--configure):
triggers looping, abandoned
dpkg: cycle found while processing triggers:
chain of packages whose triggers are or may be responsible:
zentyal-core -> zentyal-core -> zentyal-core
packages' pending triggers which are or may be unresolvable:
libc-bin: ldconfig
initramfs-tools: update-initramfs
desktop-file-utils: /usr/share/applications
zentyal-core: /usr/lib/ssl
dpkg: error processing package libc-bin (--configure):
triggers looping, abandoned
dpkg: cycle found while processing triggers:
chain of packages whose triggers are or may be responsible:
zentyal-core -> zentyal-core -> zentyal-core -> zentyal-core -> zentyal-core -> zentyal-core
packages' pending triggers which are or may be unresolvable:
initramfs-tools: update-initramfs
desktop-file-utils: /usr/share/applications
zentyal-core: /usr/lib/ssl
dpkg: error processing package initramfs-tools (--configure):
triggers looping, abandoned
dpkg:../../src/packages.c:238:process_queue: internal error: exceeded dependtry 7 (sincenothing=0; queue.length=2)
E: Sub-process /usr/bin/dpkg exited unexpectedly

I have checked the hard disk space, but it only uses 30% of the disk.
What is going wrong?

doncamilo

  • Zen Warrior
  • ***
  • Posts: 202
  • Karma: +40/-0
    • View Profile
Re: I am stuck at updating zentyal
« Reply #1 on: September 18, 2019, 02:40:24 pm »
 :)

You have entered the "Dependency Hell". I have visited it some times when doing bulk "update all" and I had tons of outdated packages. The trick is to do the upgrade through webadmin in little package groups.

Zentyal webadmin upgrades the packages using some dpkg options in order to mantain the existent configurations (for instance), so, it isn't actually equivalent to run apt-get upgrade.

Run this command in order to check your APT health:

Code: [Select]
dpkg -l | grep -Ev '^(ii|rc)'

Read this in order to fix your system: https://omgfoss.com/how-to-fix-broken-packages-in-ubuntu-18-04-lts/ (be careful because this document shows some differents use cases)

Cheers!